scala.swing

# TextArea

#### class TextArea extends TextComponent with HasColumns with HasRows

A text component that allows multiline text input and display.

Source
  TextArea.scala
See also

  javax.swing.JTextArea

Linear Supertypes
HasRows, HasColumns, TextComponent, Component, UIElement, LazyPublisher, Publisher, Reactor, Proxy, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. TextArea
2. HasRows
3. HasColumns
4. TextComponent
5. Component
6. UIElement
7. LazyPublisher
8. Publisher
9. Reactor
10. Proxy
11. AnyRef
12. Any

Implicitly

1. by any2stringadd
2. by any2stringfmt
3. by any2ArrowAssoc
4. by any2Ensuring

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new TextArea()

2. #### new TextArea(rows: Int, columns: Int)

3. #### new TextArea(text: String)

4. #### new TextArea(text0: String, rows0: Int, columns0: Int)

### Type Members

1. #### class Caret extends Publisher

   Definition Classes
     TextComponent

2. #### trait SuperMixin extends JComponent

   This trait is used to redirect certain calls from the peer to the wrapper and back.

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from TextArea to StringAdd performed by method any2stringadd in scala.Predef.
   Definition Classes
     StringAdd

5. #### def ->[B](y: B): (TextArea, B)

   Implicit information
     This member is added by an implicit conversion from TextArea to ArrowAssoc[TextArea] performed by method any2ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

6. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### final def ==(arg0: Any): Boolean

   Test two objects for equality.

   Test two objects for equality. The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     Any

8. #### def append(t: String): Unit

9. #### final def asInstanceOf[T0]: T0

   Cast the receiver object to be of type `T0`.

   Cast the receiver object to be of type `T0`.

   Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

   returns

     the receiver object.

   Definition Classes
     Any
   Exceptions thrown
     ClassCastException

     if the receiver object is not an instance of the erasure of type `T0`.

10. #### def background: Color

    Definition Classes
      UIElement

11. #### def background_=(c: Color): Unit

    Definition Classes
      UIElement

12. #### def border: Border

    Definition Classes
      Component

13. #### def border_=(b: Border): Unit

    Definition Classes
      Component

14. #### def bounds: java.awt.Rectangle

    Definition Classes
      UIElement

15. #### object caret extends Caret

    Definition Classes
      TextComponent

16. #### def charWrap: Boolean

17. #### def charWrap_=(w: Boolean): Unit

18. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
    Note

      not specified by SLS as a member of AnyRef

19. #### def columns: Int

    Definition Classes
      TextArea → HasColumns

20. #### def columns_=(n: Int): Unit

    Definition Classes
      TextArea → HasColumns

21. #### def copy(): Unit

    Definition Classes
      TextComponent

22. #### def cursor: Cursor

    Definition Classes
      UIElement

23. #### def cursor_=(c: Cursor): Unit

    Definition Classes
      UIElement

24. #### def cut(): Unit

    Definition Classes
      TextComponent

25. #### def deafTo(ps: Publisher*): Unit

    Installed reaction won't receive events from the given publisher anylonger.

    Installed reaction won't receive events from the given publisher anylonger.

    Definition Classes
      Reactor

26. #### def displayable: Boolean

    Definition Classes
      UIElement

27. #### def editable: Boolean

    Definition Classes
      TextComponent

28. #### def editable_=(x: Boolean): Unit

    Definition Classes
      TextComponent

29. #### def enabled: Boolean

    Definition Classes
      Component

30. #### def enabled_=(b: Boolean): Unit

    Definition Classes
      Component

31. #### def ensuring(cond: (TextArea) ⇒ Boolean, msg: ⇒ Any): TextArea

    Implicit information
      This member is added by an implicit conversion from TextArea to Ensuring[TextArea] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

32. #### def ensuring(cond: (TextArea) ⇒ Boolean): TextArea

    Implicit information
      This member is added by an implicit conversion from TextArea to Ensuring[TextArea] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

33. #### def ensuring(cond: Boolean, msg: ⇒ Any): TextArea

    Implicit information
      This member is added by an implicit conversion from TextArea to Ensuring[TextArea] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

34. #### def ensuring(cond: Boolean): TextArea

    Implicit information
      This member is added by an implicit conversion from TextArea to Ensuring[TextArea] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

35. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

36. #### def equals(that: Any): Boolean

    Compares the receiver object (`this`) with the argument object (`that`) for equivalence.

    Compares the receiver object (`this`) with the argument object (`that`) for equivalence.

    Any implementation of this method should be an equivalence relation:

    - It is reflexive: for any instance `x` of type `Any`, `x.equals(x)` should return `true`.
    - It is symmetric: for any instances `x` and `y` of type `Any`, `x.equals(y)` should return `true` if and only if `y.equals(x)` returns `true`.
    - It is transitive: for any instances `x`, `y`, and `z` of type `AnyRef` if `x.equals(y)` returns `true` and `y.equals(z)` returns `true`, then `x.equals(z)` should return `true`.

    If you override this method, you should verify that your implementation remains an equivalence relation. Additionally, when overriding this method it is usually necessary to override `hashCode` to ensure that objects which are "equal" (`o1.equals(o2)` returns `true`) hash to the same scala.Int. (`o1.hashCode.equals(o2.hashCode)`).

    that

      the object to compare against this object for equality.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      Proxy → Any

37. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
    Note

      not specified by SLS as a member of AnyRef

38. #### def focusable: Boolean

    Definition Classes
      Component

39. #### def focusable_=(b: Boolean): Unit

    Definition Classes
      Component

40. #### def font: Font

    Definition Classes
      UIElement

41. #### def font_=(f: Font): Unit

    Definition Classes
      UIElement

42. #### def foreground: Color

    Definition Classes
      UIElement

43. #### def foreground_=(c: Color): Unit

    Definition Classes
      UIElement

44. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from TextArea to StringFormat performed by method any2stringfmt in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

45. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

46. #### def hasFocus: Boolean

    Definition Classes
      Component

47. #### def hashCode(): Int

    Calculate a hash code value for the object.

    Calculate a hash code value for the object.

    The default hashing algorithm is platform dependent.

    Note that it is allowed for two objects to have identical hash codes (`o1.hashCode.equals(o2.hashCode)`) yet not be equal (`o1.equals(o2)` returns `false`). A degenerate implementation could always return `0`. However, it is required that if two objects are equal (`o1.equals(o2)` returns `true`) that they have identical hash codes (`o1.hashCode.equals(o2.hashCode)`). Therefore, when overriding this method, be sure to verify that the behavior is consistent with the `equals` method.

    returns

      the hash code value for this object.

    Definition Classes
      Proxy → Any

48. #### def ignoreRepaint: Boolean

    Definition Classes
      UIElement

49. #### def ignoreRepaint_=(b: Boolean): Unit

    Definition Classes
      UIElement

50. #### var initP: JComponent

    Definition Classes
      Component

51. #### def inputVerifier: (Component) ⇒ Boolean

    Definition Classes
      Component

52. #### def inputVerifier_=(v: (Component) ⇒ Boolean): Unit

    Definition Classes
      Component

53. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

54. #### object keys extends Publisher

    Definition Classes
      Component

55. #### def lineCount: Int

56. #### def lineWrap: Boolean

57. #### def lineWrap_=(w: Boolean): Unit

58. #### def listenTo(ps: Publisher*): Unit

    Listen to the given publisher as long as `deafTo` isn't called for them.

    Listen to the given publisher as long as `deafTo` isn't called for them.

    Definition Classes
      Reactor

59. #### val listeners: RefSet[Reaction] { val underlying: scala.collection.mutable.HashSet[scala.ref.Reference[scala.swing.Reactions.Reaction]] }

    Attributes
      protected
    Definition Classes
      Publisher

60. #### def locale: Locale

    Definition Classes
      UIElement

61. #### def location: java.awt.Point

    Definition Classes
      UIElement

62. #### def locationOnScreen: java.awt.Point

    Definition Classes
      UIElement

63. #### def maximumSize: java.awt.Dimension

    Definition Classes
      UIElement

64. #### def maximumSize_=(x: Dimension): Unit

    Definition Classes
      UIElement

65. #### def minimumSize: java.awt.Dimension

    Definition Classes
      UIElement

66. #### def minimumSize_=(x: Dimension): Unit

    Definition Classes
      UIElement

67. #### object mouse

    Contains publishers for various mouse events.

68. #### def name: String

    Definition Classes
      Component

69. #### def name_=(s: String): Unit

    Definition Classes
      Component

70. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

71. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

72. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

73. #### def onFirstSubscribe(): Unit

    Attributes
      protected
    Definition Classes
      Component → UIElement → LazyPublisher

74. #### def onLastUnsubscribe(): Unit

    Attributes
      protected
    Definition Classes
      UIElement → LazyPublisher

75. #### def opaque: Boolean

    Definition Classes
      Component

76. #### def opaque_=(b: Boolean): Unit

    Definition Classes
      Component

77. #### def paint(g: Graphics2D): Unit

    Definition Classes
      Component

78. #### def paintBorder(g: Graphics2D): Unit

    Attributes
      protected
    Definition Classes
      Component

79. #### def paintChildren(g: Graphics2D): Unit

    Attributes
      protected
    Definition Classes
      Component

80. #### def paintComponent(g: Graphics2D): Unit

    For custom painting, users should usually override this method.

    For custom painting, users should usually override this method.

    Attributes
      protected
    Definition Classes
      Component

81. #### def paste(): Unit

    Definition Classes
      TextComponent

82. #### lazy val peer: JTextArea

    Definition Classes
      TextArea → TextComponent → Component → UIElement

83. #### def preferredSize: java.awt.Dimension

    Definition Classes
      UIElement

84. #### def preferredSize_=(x: Dimension): Unit

    Definition Classes
      UIElement

85. #### def publish(e: Event): Unit

    Notify all registered reactions.

    Notify all registered reactions.

    Definition Classes
      Publisher

86. #### val reactions: Reactions

    All reactions of this reactor.

    All reactions of this reactor.

    Definition Classes
      Reactor

87. #### def repaint(rect: Rectangle): Unit

    Definition Classes
      UIElement

88. #### def repaint(): Unit

    Definition Classes
      UIElement

89. #### def requestFocus(): Unit

    Definition Classes
      Component

90. #### def requestFocusInWindow(): Boolean

    Definition Classes
      Component

91. #### def revalidate(): Unit

    Definition Classes
      Component

92. #### def rows: Int

    Definition Classes
      TextArea → HasRows

93. #### def rows_=(n: Int): Unit

    Definition Classes
      TextArea → HasRows

94. #### def selectAll(): Unit

    Definition Classes
      TextComponent

95. #### def selected: String

    Definition Classes
      TextComponent

96. #### def self: java.awt.Component

    Definition Classes
      UIElement → Proxy

97. #### def showing: Boolean

    Definition Classes
      UIElement

98. #### def size: java.awt.Dimension

    Definition Classes
      UIElement

99. #### def subscribe(listener: Reaction): Unit

    Definition Classes
      LazyPublisher → Publisher

100. #### final def synchronized[T0](arg0: ⇒ T0): T0

     Definition Classes
       AnyRef

101. #### def tabSize: Int

102. #### def tabSize_=(n: Int): Unit

103. #### def text: String

     Definition Classes
       TextComponent

104. #### def text_=(t: String): Unit

     Definition Classes
       TextComponent

105. #### def toString(): String

     Returns a string representation of the object.

     Returns a string representation of the object.

     The default representation is platform dependent.

     returns

       a string representation of the object.

     Definition Classes
       Component → Proxy → AnyRef → Any

106. #### def toolkit: Toolkit

     Definition Classes
       UIElement

107. #### def tooltip: String

     Definition Classes
       Component

108. #### def tooltip_=(t: String): Unit

     Definition Classes
       Component

109. #### def unsubscribe(listener: Reaction): Unit

     Definition Classes
       LazyPublisher → Publisher

110. #### def visible: Boolean

     Definition Classes
       UIElement

111. #### def visible_=(b: Boolean): Unit

     Definition Classes
       UIElement

112. #### final def wait(): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

113. #### final def wait(arg0: Long, arg1: Int): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

114. #### final def wait(arg0: Long): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

115. #### def wordWrap: Boolean

116. #### def wordWrap_=(w: Boolean): Unit

117. #### def xLayoutAlignment: Double

     Used by certain layout managers, e.

     Used by certain layout managers, e.g., BoxLayout or OverlayLayout to align components relative to each other.

     Definition Classes
       Component

118. #### def xLayoutAlignment_=(x: Double): Unit

     Definition Classes
       Component

119. #### def yLayoutAlignment: Double

     Definition Classes
       Component

120. #### def yLayoutAlignment_=(y: Double): Unit

     Definition Classes
       Component

121. #### def →[B](y: B): (TextArea, B)

     Implicit information
       This member is added by an implicit conversion from TextArea to ArrowAssoc[TextArea] performed by method any2ArrowAssoc in scala.Predef.
     Definition Classes
       ArrowAssoc

### Shadowed Implicit Value Members

1. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from TextArea to StringAdd performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (textArea: StringAdd).self

   Definition Classes
     StringAdd

2. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from TextArea to StringFormat performed by method any2stringfmt in scala.Predef.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (textArea: StringFormat).self

   Definition Classes
     StringFormat

### Deprecated Value Members

1. #### def x: TextArea

   Implicit information
     This member is added by an implicit conversion from TextArea to ArrowAssoc[TextArea] performed by method any2ArrowAssoc in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (textArea: ArrowAssoc[TextArea]).x

   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `leftOfArrow`instead``

2. #### def x: TextArea

   Implicit information
     This member is added by an implicit conversion from TextArea to Ensuring[TextArea] performed by method any2Ensuring in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (textArea: Ensuring[TextArea]).x

   Definition Classes
     Ensuring
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `resultOfEnsuring`instead``

### Inherited from HasRows

### Inherited from HasColumns

### Inherited from TextComponent

### Inherited from Component

### Inherited from UIElement

### Inherited from LazyPublisher

### Inherited from Publisher

### Inherited from Reactor

### Inherited from Proxy

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from TextArea to StringAdd

### Inherited by implicit conversion any2stringfmt from TextArea to StringFormat

### Inherited by implicit conversion any2ArrowAssoc from TextArea to ArrowAssoc[TextArea]

### Inherited by implicit conversion any2Ensuring from TextArea to Ensuring[TextArea]

### Ungrouped